[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: gcc default for amd64 (Re: Bug#250174: gcc-3.3: Miscompilation of Objective-C code on amd64.)

Hi Matthias,

On Fri, May 21, 2004 at 11:12:42PM +0200, Matthias Klose wrote:
> Hi amd64 people, why don't you use gcc-3.4 as the default compiler for
> this platform???

We discussed this already earlier on this list, see the thread starting


In a few words, we are still waiting for gcc-3.4 to go into sid. At present 
state it is in experimental.

Maybe you, in your role as one of the gcc-maintainers, know when this will 

I think too we should use gcc-3.4 at all, since it has a lot of x86_64 
improvements[1]. IMHO this is somewhat comparable to Linux 2.4 vs 2.6 -
only the latter is worked on regading x86_64, while the former is
somewhat useable but has real limitatio, while the former is somewhat
useable but has real limitations..

Frederik Schueler

[1] http://gcc.gnu.org/gcc-3.4/changes.html


Reply to: